/*
nzev: manager.h
autor: Pavel Hasenhrl
datum: 17.5.2009
verze: 1.0
*/

#ifndef MANAGER_H
	#define MANAGER_H

#include "config.h"

class CManager {
private:
	const CConfig *m_conf;
public:
	CManager(const CConfig *_conf) { m_conf = _conf; }
	bool Install(ENTRY_TYPE _et);
	bool NewServer();
	bool NewClient();
	bool EnableServer();
	void DisableServer();
	void RunServer();
	void RunClient();
};

#endif
